libao documentation | libao version 1.2.2 - 20161114

# ao_driver_id

declared in "ao/ao.h";

Looks up the ID number for a driver based upon its short name. The ID number is need to open the driver or get info on it.

    int ao_driver_id(char *short_name);

### Parameters

short_name
  The short name of the driver. See the list of drivers for valid short names.

### Return Values

> - a non-negative value is the ID number of the driver.
> - -1 indicates failure. No driver by that name exists.

copyright © 2001-2003 Stan Seibert, 2010-2016 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.2 - 20161114